--巅峰竞猜选择支持对手
Lua_PeakDuelGuessSelectWindow = class("Lua_PeakDuelGuessSelectWindow", Lua_Window);
function Lua_PeakDuelGuessSelectWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_PeakDuelGuessSelectWindow";
	self.skinName = "PeakDuelGuessSelectWindow_skin";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_PeakDuelGuessSelectWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(0, 0, 0);

	self.btnCancel:addClickFuntion(self,self.onCancelBtnClick);
	self.btnSure:addClickFuntion(self,self.onSubBtnClick);
end

function Lua_PeakDuelGuessSelectWindow:showWin(param)
	self:superCall("showWin", param);

	self.show_des.text = LanUtil.formateStr("支持{1}，若该玩家对战获胜，可获得", param.name);
	
	local reward = DataCenter.peakDuelUtil.guess_reward;
    local tvo = Lua_ToolVo.createToolVo(reward[1][1], reward[1][2]);
	self.itemIcon:setData(tvo);
end

function Lua_PeakDuelGuessSelectWindow:dispose()
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_PeakDuelGuessSelectWindow:onCancelBtnClick()
	self:hide();
end

function Lua_PeakDuelGuessSelectWindow:onSubBtnClick()
	if self.showData == nil then
		return;
	end

	Lua_ProxyManager.getProxy("Lua_PeakDuelProxy"):sPDGuessBet(self.showData.bet_id);
	self:hide();
end