--巅峰对决
checkRequire("Lua_PeakDuelMySchedulePanel")
checkRequire("Lua_PeakDuelGuessPanel")
checkRequire("Lua_PeakDuelRankPanel")
Lua_PeakDuelWindow = class("Lua_PeakDuelWindow", Lua_Window)
function Lua_PeakDuelWindow:ctor()
	self:superCall("ctor")

	self.layer = MainWinDefine.NORMAL_WINDOW_LAYER
	self.windowName = "Lua_PeakDuelWindow"
	self.isFullSizeWin = true
	self.isSingleShowWin = true
	self.showWinBg = true
	self.winBgPath = "/images/peakDuel/xui_dfs_bg_4.jpg"
end

function Lua_PeakDuelWindow:buildShowItem()
	self:superCall("buildShowItem")

	self.roleInfoPanel = Lua_RoleInfoPanel.new(self.content)
	self.roleInfoPanel:setRectAnchor(1)

	self.btnBg = UICreate.createUIAtlasImage(self.content, "common_altas_1", "xui_common_widget_002", 0, 60.5, 720, 121)
	self.btnBg.anchorValue = 7

	self.btnInfo = Array()
	self.btnInfo:add({ textAtlas = "peak_duel_altas", textNormalSprite = "xui_dfs_zgnbutton_2_n", textSelectedSprite = "xui_dfs_zgnbutton_2_p",
		panel = Lua_PeakDuelMySchedulePanel, redPointId = nil })
	self.btnInfo:add({ textAtlas = "peak_duel_altas", textNormalSprite = "xui_dfs_zgnbutton_3_n", textSelectedSprite = "xui_dfs_zgnbutton_3_p",
		panel = Lua_PeakDuelGuessPanel })
	self.btnInfo:add({ textAtlas = "peak_duel_altas", textNormalSprite = "xui_dfs_zgnbutton_1_n", textSelectedSprite = "xui_dfs_zgnbutton_1_p",
		panel = Lua_PeakDuelRankPanel })

    self.btnList = Lua_ButtonList.new(self.content, Lua_AxisDefine.Horizontal)
    self.btnList:setRectAnchor(7)
    self.btnList:setRectPivot(5)
    self.btnList.pivot = -1
    self.btnList:setLocation(360, 53.5, 0)
    self.btnList:setButtonStyle("common_altas_1", "ui_common_button_001_b", "ui_common_button_001_b", 118, 108, 0.01, 1)
    self.btnList:setButtonLine("common_altas_1", "ui_common_line_011", 2, 108, 0, 0, 1)
    self.btnList:setButtonItem(120, 108)
    self.btnList:setRedPoint(40, 40)
    self.btnList:setClickCallBack(self, self.onButtonClick)
    self.btnList:setData(self.btnInfo)
    self.btnList:setSelected(1)

    self:createBackBtn()
end

function Lua_PeakDuelWindow:dispose()
	if self.showPanel then
		self.showPanel:dispose()
		self.showPanel = nil
	end
	if self.btnList then
		self.btnList:dispose()
		self.btnList = nil
	end
	if self.btnInfo then
		self.btnInfo:clear()
		self.btnInfo = nil
	end
	self:superCall("dispose")
end

function Lua_PeakDuelWindow:onBackBtnClick(go)
	self:superCall("onBackBtnClick", go)
	DataCenter.funcPathUtil:gotoFunction(1038, true)
end

function Lua_PeakDuelWindow:onButtonClick(index, data)
	if self.showPanel then
		self.showPanel:dispose()
		self.showPanel = nil
	end
	self.showPanel = data.panel.new(self.content)
	self.showPanel:setRectAnchor(9)
end