--巅峰竞猜结果
Lua_PeakDuelGuessResultWindow = class("Lua_PeakDuelGuessResultWindow", Lua_Window);
function Lua_PeakDuelGuessResultWindow:ctor()
	self:superCall("ctor");

	self.w = 703;
	self.h = 500;
	self.windowName = "Lua_PeakDuelGuessResultWindow";
	self.showWinBg = true;
	self.winBgAtlas = "common_altas_1";
	self.winBgSprite = "ui_common_window_007";
	self.showBlackMask = true;
	self.isClickClose = true;
end

function Lua_PeakDuelGuessResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.show_des = UICreate.createLabel(self.content, nil, 0, 100, 100, 35, 24);
	self.show_des.pivot = UIUtils.Pivot.Center;
	self.show_des.alignmentValue = 4;
	self.show_des.horizontalOverflowValue = 1;

	self.itemIcon = Lua_ItemIcon.new(self.content);
	self.itemIcon:setLocation(0, 0, 0);
end

function Lua_PeakDuelGuessResultWindow:dispose()
	self.show_des = nil;
	if self.itemIcon ~= nil then
		self.itemIcon:dispose();
		self.itemIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_PeakDuelGuessResultWindow:showWin(param)
	local reward;
	if param == 1 then
		self.show_des.text = "你所支持的选手获得比赛胜利";
		reward = DataCenter.peakDuelUtil.guess_reward;
	else
		self.show_des.text = "你所支持的选手获得比赛失败";
		reward = DataCenter.peakDuelUtil.guess_fail_reward;
	end

	local tvo = Lua_ToolVo.createToolVo(reward[1][1], reward[1][2]);
	self.itemIcon:setData(tvo);
end